xine-lib: xine-lib-1.2.12/include/xine/xmllexer.h File Reference

xine-lib 1.2.12

Data Structures | Macros | Functions
xmllexer.h File Reference
`#include <xine/attributes.h>`

Go to the source code of this file.

## Data Structures
struct | lexer

## Macros
#define | T_ERROR -1 /* lexer error */
#define | T_EOF 0 /* end of file */
#define | T_EOL 1 /* end of line */
#define | T_SEPAR 2 /* separator ' ' '/t' '\n' '\r' */
#define | T_M_START_1 3 /* markup start < */
#define | T_M_START_2 4 /* markup start </ */
#define | T_M_STOP_1 5 /* markup stop > */
#define | T_M_STOP_2 6 /* markup stop /> */
#define | T_EQUAL 7 /* = */
#define | T_QUOTE 8 /* \" or \' */
#define | T_STRING 9 /* "string" */
#define | T_IDENT 10 /* identifier */
#define | T_DATA 11 /* data */
#define | T_C_START 12 /* <!-- */
#define | T_C_STOP 13 /* --> */
#define | T_TI_START 14 /* <? */
#define | T_TI_STOP 15 /* ?> */
#define | T_DOCTYPE_START 16 /* <!DOCTYPE */
#define | T_DOCTYPE_STOP 17 /* > */
#define | T_CDATA_START 18 /* <![CDATA[ */
#define | T_CDATA_STOP 19 /* ]]> */

## Functions
void | lexer_init (const char *buf, int size) XINE_DEPRECATED
struct lexer * | lexer_init_r (const char *buf, int size)
void | lexer_finalize_r (struct lexer *lexer)
int | lexer_get_token_d_r (struct lexer *lexer, char **tok, int *tok_size, int fixed)
int | lexer_get_token_d (char **tok, int *tok_size, int fixed) XINE_DEPRECATED
int | lexer_get_token (char *tok, int tok_size) XINE_DEPRECATED
char * | lexer_decode_entities (const char *tok)

## Macro Definition Documentation

## ◆ T_C_START

#define T_C_START 12 /* <!-- */

## ◆ T_C_STOP

#define T_C_STOP 13 /* --> */

## ◆ T_CDATA_START

#define T_CDATA_START 18 /* <![CDATA[ */

## ◆ T_CDATA_STOP

#define T_CDATA_STOP 19 /* ]]> */

## ◆ T_DATA

#define T_DATA 11 /* data */

## ◆ T_DOCTYPE_START

#define T_DOCTYPE_START 16 /* <!DOCTYPE */

## ◆ T_DOCTYPE_STOP

#define T_DOCTYPE_STOP 17 /* > */

## ◆ T_EOF

#define T_EOF 0 /* end of file */

## ◆ T_EOL

#define T_EOL 1 /* end of line */

## ◆ T_EQUAL

#define T_EQUAL 7 /* = */

## ◆ T_ERROR

#define T_ERROR -1 /* lexer error */

## ◆ T_IDENT

#define T_IDENT 10 /* identifier */

## ◆ T_M_START_1

#define T_M_START_1 3 /* markup start < */

## ◆ T_M_START_2

#define T_M_START_2 4 /* markup start </ */

## ◆ T_M_STOP_1

#define T_M_STOP_1 5 /* markup stop > */

## ◆ T_M_STOP_2

#define T_M_STOP_2 6 /* markup stop /> */

## ◆ T_QUOTE

#define T_QUOTE 8 /* \" or \' */

## ◆ T_SEPAR

#define T_SEPAR 2 /* separator ' ' '/t' '\n' '\r' */

## ◆ T_STRING

#define T_STRING 9 /* "string" */

## ◆ T_TI_START

#define T_TI_START 14 /* <? */

## ◆ T_TI_STOP

#define T_TI_STOP 15 /* ?> */

## Function Documentation

## ◆ lexer_decode_entities()

char * lexer_decode_entities | ( | const char * | tok | ) |

References code, lexer_entities, name, namelen, and NULL.

Referenced by xml_parser_get_node_internal().

## ◆ lexer_finalize_r()

void lexer_finalize_r | ( | struct lexer * | lexer | ) |

References _x_freep(), and lexer::lex_malloc.

Referenced by lexer_init(), and xml_parser_finalize_r().

## ◆ lexer_get_token()

int lexer_get_token | ( | char * | tok,
|  | int | tok_size
| ) |  |

References lexer_get_token_d_r(), and static_lexer.

## ◆ lexer_get_token_d()

int lexer_get_token_d | ( | char ** | tok,
|  | int * | tok_size,
|  | int | fixed
| ) |  |

References lexer_get_token_d_r(), and static_lexer.

## ◆ lexer_get_token_d_r()

int lexer_get_token_d_r | ( | struct lexer * | lexer,
|  | char ** | tok,
|  | int * | tok_size,
|  | int | fixed
| ) |  |

References CDATA, DATA, lexer::in_comment, lexer::lex_mode, lexer::lexbuf, lexer::lexbuf_pos, lexer::lexbuf_size, lexer_get_token_d_r(), lprintf, NORMAL, STATE_EOL, STATE_IDENT, STATE_IDLE, STATE_SEPAR, STATE_T_C_STOP, STATE_T_COMMENT, STATE_T_DASHDASH, STATE_T_EQUAL, STATE_T_M_START, STATE_T_M_STOP_1, STATE_T_M_STOP_2, STATE_T_STRING_DOUBLE, STATE_T_STRING_SINGLE, STATE_T_TI_STOP, T_C_START, T_C_STOP, T_CDATA_START, T_CDATA_STOP, T_DATA, T_DOCTYPE_START, T_EOF, T_EOL, T_EQUAL, T_ERROR, T_IDENT, T_M_START_1, T_M_START_2, T_M_STOP_1, T_M_STOP_2, T_SEPAR, T_STRING, T_TI_START, and T_TI_STOP.

Referenced by lexer_get_token(), lexer_get_token_d(), lexer_get_token_d_r(), and xml_parser_get_node_internal().

## ◆ lexer_init()

void lexer_init | ( | const char * | buf,
|  | int | size
| ) |  |

References lexer_finalize_r(), lexer_init_r(), and static_lexer.

## ◆ lexer_init_r()

struct lexer * lexer_init_r | ( | const char * | buf,
|  | int | size
| ) |  |

References lexer::in_comment, lex_convert(), lexer::lex_mode, lexer::lexbuf, lexer::lexbuf_pos, lexer::lexbuf_size, lprintf, NORMAL, NULL, UTF16BE, UTF16LE, UTF32BE, and UTF32LE.

Referenced by lexer_init(), and xml_parser_init_r().